Ingest
Register an ingest agent
Register a Black Hole desktop agent.
POST
/
api
/
v2
/
ingest
/
agents
/
Register a black-hole agent install
curl --request POST \
--url https://api.example.com/api/v2/ingest/agents/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hostname": "<string>",
"os": "<string>",
"app_version": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/ingest/agents/"
payload = {
"hostname": "<string>",
"os": "<string>",
"app_version": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hostname: '<string>', os: '<string>', app_version: '<string>'})
};
fetch('https://api.example.com/api/v2/ingest/agents/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agent_id": "<string>",
"min_poll_seconds": 123
}{}{}{}{}Black Hole desktop-agent install. Auth0 only (
ingest:write). The organization must be allowlisted or this 404s. See Black Hole.Body
application/json
⌘I
Register a black-hole agent install
curl --request POST \
--url https://api.example.com/api/v2/ingest/agents/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hostname": "<string>",
"os": "<string>",
"app_version": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/ingest/agents/"
payload = {
"hostname": "<string>",
"os": "<string>",
"app_version": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hostname: '<string>', os: '<string>', app_version: '<string>'})
};
fetch('https://api.example.com/api/v2/ingest/agents/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agent_id": "<string>",
"min_poll_seconds": 123
}{}{}{}{}
